Package com.google.protobuf

## Interface DescriptorProtos.MessageOptionsOrBuilder

All Superinterfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.MessageOptions>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.MessageOptions`, `DescriptorProtos.MessageOptions.Builder`

Enclosing class:
  DescriptorProtos

    public static interface DescriptorProtos.MessageOptionsOrBuilder
    extends GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.MessageOptions>

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getDeprecated()` `optional bool deprecated = 3 [default = false];`
`boolean` `getMessageSetWireFormat()` `optional bool message_set_wire_format = 1 [default = false];`
`boolean` `getNoStandardDescriptorAccessor()` `optional bool no_standard_descriptor_accessor = 2 [default = false];`
`DescriptorProtos.UninterpretedOption` `getUninterpretedOption​(int index)` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`int` `getUninterpretedOptionCount()` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`java.util.List<DescriptorProtos.UninterpretedOption>` `getUninterpretedOptionList()` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`DescriptorProtos.UninterpretedOptionOrBuilder` `getUninterpretedOptionOrBuilder​(int index)` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>` `getUninterpretedOptionOrBuilderList()` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`boolean` `hasDeprecated()` `optional bool deprecated = 3 [default = false];`
`boolean` `hasMessageSetWireFormat()` `optional bool message_set_wire_format = 1 [default = false];`
`boolean` `hasNoStandardDescriptorAccessor()` `optional bool no_standard_descriptor_accessor = 2 [default = false];`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasMessageSetWireFormat

    boolean hasMessageSetWireFormat()

`optional bool message_set_wire_format = 1 [default = false];`

     Set true to use the old proto1 MessageSet wire format for extensions.
     This is provided for backwards-compatibility with the MessageSet wire
     format.  You should not use this for any other reason:  It's less
     efficient, has fewer features, and is more complicated.
     The message must be defined exactly as follows:
       message Foo {
         option message_set_wire_format = true;
         extensions 4 to max;
       }
     Note that the message cannot have any defined fields; MessageSets only
     have extensions.
     All extensions of your type must be singular messages; e.g. they cannot
     be int32s, enums, or repeated messages.
     Because this is an option, the above two restrictions are not enforced by
     the protocol compiler.

#### getMessageSetWireFormat

    boolean getMessageSetWireFormat()

`optional bool message_set_wire_format = 1 [default = false];`

     Set true to use the old proto1 MessageSet wire format for extensions.
     This is provided for backwards-compatibility with the MessageSet wire
     format.  You should not use this for any other reason:  It's less
     efficient, has fewer features, and is more complicated.
     The message must be defined exactly as follows:
       message Foo {
         option message_set_wire_format = true;
         extensions 4 to max;
       }
     Note that the message cannot have any defined fields; MessageSets only
     have extensions.
     All extensions of your type must be singular messages; e.g. they cannot
     be int32s, enums, or repeated messages.
     Because this is an option, the above two restrictions are not enforced by
     the protocol compiler.

#### hasNoStandardDescriptorAccessor

    boolean hasNoStandardDescriptorAccessor()

`optional bool no_standard_descriptor_accessor = 2 [default = false];`

     Disables the generation of the standard "descriptor()" accessor, which can
     conflict with a field of the same name.  This is meant to make migration
     from proto1 easier; new code should avoid fields named "descriptor".

#### getNoStandardDescriptorAccessor

    boolean getNoStandardDescriptorAccessor()

`optional bool no_standard_descriptor_accessor = 2 [default = false];`

     Disables the generation of the standard "descriptor()" accessor, which can
     conflict with a field of the same name.  This is meant to make migration
     from proto1 easier; new code should avoid fields named "descriptor".

#### hasDeprecated

    boolean hasDeprecated()

`optional bool deprecated = 3 [default = false];`

     Is this message deprecated?
     Depending on the target platform, this can emit Deprecated annotations
     for the message, or it will be completely ignored; in the very least,
     this is a formalization for deprecating messages.

#### getDeprecated

    boolean getDeprecated()

`optional bool deprecated = 3 [default = false];`

     Is this message deprecated?
     Depending on the target platform, this can emit Deprecated annotations
     for the message, or it will be completely ignored; in the very least,
     this is a formalization for deprecating messages.

#### getUninterpretedOptionList

    java.util.List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.

#### getUninterpretedOption

    DescriptorProtos.UninterpretedOption getUninterpretedOption​(int index)

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.

#### getUninterpretedOptionCount

    int getUninterpretedOptionCount()

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.

#### getUninterpretedOptionOrBuilderList

    java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.

#### getUninterpretedOptionOrBuilder

    DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder​(int index)

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.